Subject: bug#20907: [PATCH] Manual bug for scm_gc_protect_object

From: Mike Gran <[email-masked]>
Date: Wed, 2 Sep 2015 18:34:28 +0000 (UTC)

On Wednesday, September 2, 2015 11:06 AM, Mark H Weaver <[email-masked]> wrote:
 
>Would it help to replace all uses of the term "scan" with "mark", in
>connection with garbage collection?  In the papers I've read on GC,
>"mark" is the word I usually see, and it seems much clearer to me,
>because anyone who knows the basics of GC knows that "marking" is needed
>to prevent an object from being freed, whereas "scanning" could mean
>anything.

That would help, I think.  I guess I was associating "scan" with
the "sweep" part of mark and sweep.
 
Thanks very much for the clarification.
 
Mike